package cn.com.ty.lift.business.push.entity;

import cn.hutool.core.util.StrUtil;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.*;
import java.util.stream.Collectors;

/**
 * 根据年检查询推送信息
 *
 * @author wcz
 * @since 2020/4/24
 */
@Data
@NoArgsConstructor
public class InspectionTips {
    /**
     * 维保公司id
     */
    private long   mtCompanyId;
    /**
     * 电梯主要负责人id
     */
    private long   workerId;
    /**
     * 区域主管id
     */
    private long   directorId;
    /**
     * 文员
     */
    private String clerk;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 设备使用地点
     */
    private String devicePosition;

    /**
     * 返回区域主管和文员的id列表
     */
    public List<Long> members() {
        List<Long> members = new ArrayList<>();
        if (Objects.nonNull(workerId)) {
            members.add(workerId);
        }
        if (Objects.nonNull(directorId)) {
            members.add(directorId);
        }
        if (StrUtil.isNotBlank(clerk)) {
            try {
                if (clerk.contains(",")) {
                    members.addAll(Arrays.stream(clerk.split(",")).map(c -> Long.parseLong(c.trim())).collect(Collectors.toSet()));
                } else {
                    members.add(Long.parseLong(clerk.trim()));
                }
            } catch (Exception ignore) {
            }
        }
        return members;
    }
}